<h2 *ngIf="!isDashboard" class="display-4">Klijenti</h2>
<div *ngIf="!isDashboard" class="p-2">
    <a class="btn btn-primary" href="/klijenti/dodaj">Dodaj novog klijenta</a>
</div>

<h2 *ngIf="isDashboard">Pregled klijenata</h2>

<div class="d-flex flex-row-reverse bd-highlight">
    <div class="p-2 bd-highlight">
        <select (change)="onTableSizeChange($event)" class="custom-select">
            <option *ngFor="let size of tableSizes" [ngValue]="size">
                {{ size }}
            </option>
        </select>
    </div>
</div>

<!-- Desktop view -->
<div class="d-none d-md-block">
    <table class="table table-striped">
        <thead class="thead-dark">
            <tr>
                <th>Naziv</th>
                <th>Ime zastupnika</th>
                <th>Grad</th>
                <th>Telefon</th>
                <th>e-mail</th>
                <th></th>
                <th></th>
            </tr>
        <tbody>
            <tr *ngFor="let klijent of klijenti | paginate : {
                    itemsPerPage: tableSize,
                    currentPage: page,
                    totalItems: count
                };">
                <th><a href="/klijenti/{{klijent._id}}">{{ klijent.naziv }}</a></th>
                <td>{{ klijent.ime_zastupnika }}</td>
                <td>{{ klijent.grad }}</td>
                <td>{{ klijent.telefon }}</td>
                <td>{{ klijent.email }}</td>
                <td>
                    <div class="form-group">
                        <a class="btn btn-primary btn-sm" href="/klijenti/{{klijent._id}}"  title="Izmeni klijenta">
                            <i class="fas fa-pen"></i>
                        </a>
                    </div>
                </td>
                <td>
                    <div class="form-group">
                        <button class="btn btn-primary btn-sm delete-icon" (click)="deleteKlijent(klijent._id)"  title="Obriši klijenta">
                            <i class="fas fa-trash-alt"></i>
                        </button>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</div>

<!-- Mobile view -->
<div class="d-block d-md-none">
    <div *ngFor="let klijent of klijenti | paginate : {
        itemsPerPage: tableSize,
        currentPage: page,
        totalItems: count
    };">
        <div class="row border">
            <div class="col-4 px-2">Naziv:</div>
            <div class="col-8 text-truncate"><a href="/klijenti/{{klijent._id}}">{{
                    klijent.naziv }}</a></div>

            <div class="col-4 px-2">Ime zastupnika:</div>
            <div class="col-8 text-truncate">{{
                klijent.ime_zastupnika }}</div>

            <div class="col-4 px-2">Grad:</div>
            <div class="col-8 text-truncate">{{ klijent.grad }}</div>

            <div class="col-4 px-2">Telefon:</div>
            <div class="col-8 text-truncate">{{ klijent.telefon }}</div>

            <div class="col-4 px-2">e-mail:</div>
            <div class="col-8 text-truncate">{{ klijent.email }}</div>

            <div class="col-12 text-center pt-2 pt-md-0">
                <button class="btn btn-primary btn-sm" (click)="deleteKlijent(klijent._id)" title="Obriši">
                    <i class="fas fa-trash-alt"></i>
                </button>
            </div>
        </div>
        <hr />
    </div>
</div>

<div class="d-flex justify-content-center">
    <pagination-controls previousLabel="Prev" nextLabel="Next" (pageChange)="onTableDataChange($event)">
    </pagination-controls>
</div>